Bug 950413 - Change requires to python-django14
Summary: Change requires to python-django14
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: askbot
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 950469
TreeView+ depends on / blocked
 
Reported: 2013-04-10 08:31 UTC by Matthias Runge
Modified: 2013-05-22 03:12 UTC (History)
5 users (show)

Fixed In Version: askbot-0.7.48-9.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-22 03:12:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthias Runge 2013-04-10 08:31:21 UTC
Rawhide contains and f19 will get Django-1.5 instead of Django-1.4.x soon.

If you're not sure, if your package is compatible with Django-1.5, please change
Requires: python-django
to 
Requires: python-django14
and rebuild.

If I don't hear anything against it, I can do the rebuild in the week after Apr 22nd.

Comment 1 Kevin Fenzi 2013-04-11 16:32:42 UTC
My reading of things is that askbot does not yet support 1.5... so we should move the requires to 1.4 here. (in 19/rawhide)

Thoughts?

Comment 2 Rahul Sundaram 2013-04-11 17:34:56 UTC
Yes but I am not sure whether there is consensus on what the packaging changes should be.  Should we add conflicts etc.  I will wait for this to settle down.

Comment 3 Matthias Runge 2013-04-29 12:08:27 UTC
I'd change the requires to 
Requires: python-django14
That should be safe, nothing else to change there.

Comment 4 Fedora Update System 2013-05-03 19:35:21 UTC
askbot-0.7.48-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/askbot-0.7.48-9.fc19

Comment 5 Fedora Update System 2013-05-04 18:53:38 UTC
Package askbot-0.7.48-9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing askbot-0.7.48-9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7419/askbot-0.7.48-9.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-05-22 03:12:46 UTC
askbot-0.7.48-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.